def is_prime(n):
    if n < 2:
        return False
    for i in range(2, int(n**0.5) + 1):
        if n % i == 0:
            return False
    return True

def goldbach_count(n):
    count = 0
    for i in range(2, n // 2 + 1):
        if is_prime(i) and is_prime(n - i):
            count += 1
    return count

A, B = map(int, input().split())
best_x = 0
best_gx = float('inf')
found = False

for x in range(A + (A % 2), B + 1, 2):
    gx = goldbach_count(x)
    if gx % 3 == 0:
        if gx < best_gx or (gx == best_gx and x > best_x):
            best_x, best_gx = x, gx
            found = True

if found:
    print(f"{best_x} {best_gx}")
else:
    print("Impossible")